[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBExtCtrls' (#lcl)

# TDBDateEdit.EditEnter

Performs actions required when the Enter key is pressed on the control.

## Declaration

Source position: dbextctrls.pp line 47

`protected procedure TDBDateEdit.EditEnter; override;`

## Description

EditEnter is an overridden procedure used to perform actions required when the Enter key is pressed on the control. EditEnter calls the inherited method.

EditEnter uses the value from Editing in DataLink to determine if there are any pending changes in the control value. When Editing contains False, the Reset method in DataLink is called to cancel changes to the field. Reset also calls the OnDataChange event handler.